{% extends "base.html" %}
{% load poly_custom_extra %}

{% block content %}
    <h2>People</h2>
        {% for show in object_list %}
        <div>
            <h2>{{ show.name }}</h2>

            <p>Status: {{ show.creative_work_status }}</p>
            <p>Publish Date: {{ show.publish_date }}</p>
            <p>Language: {{ show.language }}</p>


            {% for reference in show.references.all %}
                <li>{{ reference.source }} - {{ reference.value }}</li>
            {% endfor %}


            <ul>
            {% for season in show.seasons %}
                <li>
                    <p>Season: {{ season.name }}</p>
                    <p>Status: {{ season.creative_work_status }}</p>
                    <p>Publish Date: {{ season.publish_date }}</p>
                    <p>Language: {{ season.language }}</p>
                    {% for reference in season.references.all %}
                        <p>{{ reference.value }}</p>
                    {% endfor %}
                </li>

            {% endfor %}
            </ul>

            <ul>
            {% for episode in show.episodes %}
                <li>
                    <p>Episode: {{ episode.name }}</p>
                    <p>Status: {{ episode.creative_work_status }}</p>
                    <p>Publish Date: {{ episode.publish_date }}</p>
                    <p>Language: {{ episode.language }}</p>
                </li>
            {% endfor %}
            </ul>

         <ul>
            {% for season in show.seasons %}
                <li>Season: {{ season.name }}</li>
                {% for episode in season.episodes %}
                    <li>Episode: {{ episode.name }}</li>
                {% endfor %}
            {% endfor %}
            </ul>


        </div>
        {% endfor %}

{% endblock %}